-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with this
-# work for additional information regarding copyright ownership.  The ASF
-# licenses this file to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#    http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
-# License for the specific language governing permissions and limitations under
-# the License.

!!! 1.1
%html
  %head
    %meta{ 'http-equiv'=>'Content-Type', :content=>'text/html;charset=UTF-8' }/
    %title= "#{collection.title} &mdash; #{page.title}"
    %style{ :type=>'text/css' }
      @import 'css/default.css';
      @import 'css/syntax.css';
    %style{ :type=>'text/css', :media=>'print' }
      @import 'css/print.css';
      \#header { display: none } 
    %meta{ :name=>'subject', :content=>'Official Buildr documentation from the people in the know' }
    %link{ :rel=>'shortcut icon', :href=>'images/favicon.png'}
  %body
    #wrap
      #header
        %a{ :href=>'http://incubator.apache.org/', :style=>'float:right' } 
          %img{ :src=>'images/apache-incubator-logo.png', :alt=>'Apache Incubator' }
        %a{ :href=>'http://incubator.apache.org/buildr/' }
          %img{ :src=>'images/buildr.png', :alt=>collection.title }
        .tagline= ''
      #pages
        = collection.toc.to_html(:nested=>1, :class=>'toc')
        %form{ :id=>'searchbox_003673095760649043902:ogcgrzu0l2y', :action=>'http://www.google.com/cse' }
          %input{ :type=>'hidden', :name=>'cx', :value=>'003673095760649043902:ogcgrzu0l2y' }
          %input{ :type=>'hidden', :name=>'cof', :value=>'FORID:0' }
          %input{ :name=>'q', :type=>'text', :size=>'20' }
          %input{ :type=>'submit', :name=>'sa', :value=>'Search' }
          %img{ :src=>'http://www.google.com/coop/images/google_custom_search_smnar.gif', :alt=>'Google Custom Search' }
        
      #content
        %h1= page.title
        = page.toc.to_html(:nested, :class=>'toc')
        ~ page.content
        #navigation
          - if prev_page = collection.prev(page)
            %a{ :href=>prev_page.path, :class=>'prev' }= '&laquo; ' + prev_page.title
          - if next_page = collection.next(page)
            %a{ :href=>next_page.path, :class=>'next' }= next_page.title + ' &raquo;'
      #footer
        Copyright &copy; 2007-2008 The Apache Software Foundation
